<?php

Core::load('CMS.Controller.Table');

class Component_News_Admin extends CMS_Controller_Table
{
	protected $orm_name = 'news';
	protected $title_list = 'Новости';
	protected $title_edit = 'Редактирование новости';
	protected $title_add = 'Добавление новости';
	protected $norows = 'Новостей нет';
	protected $button_add = 'Добавить новость';

	protected function list_fields()
	{
		return array(
			'idate' => array(
				'type' => 'datestr',
				'caption' => 'Дата',
			),
			'title' => array(
				'caption' => 'Заголовок',
			),
		);
	}

	protected function form_tabs()
	{
		return array(
			'default' => 'Свойства',
			'content' => 'Текст новости',
		);
	}

	protected function form_fields()
	{
		return array(
			'idate' => array(
				'type' => 'datestr',
				'caption' => 'Дата',
				'tab' => 'default',
				'datepicker' => true,
			),
			'title' => array(
				'caption' => 'Заголовок',
				'tab' => 'default',
				'style' => 'width:100%',
			),
			'announce' => array(
				'type' => 'textarea',
				'caption' => 'Краткий текст',
				'tab' => 'default',
				'style' => 'width:100%;height:200px',
			),
			'content' => array(
				'type' => 'textarea',
				'tab' => 'content',
				'style' => 'width:100%;height:400px',
			),
		);
	}

}
